<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	 <xsl:param name="title-descriptive" />
	
	<xsl:output method="html" indent="yes" />

	<xsl:template match="directory">
		<table>
			<tr>
				<xsl:apply-templates select="list-entry/entry" />
			</tr>
			<xsl:apply-templates select="list-record/record">
				<xsl:sort
					select="list-entry/entry[position()=1]/list-record-field/record-field[position()=1]/record-field-value" />
			</xsl:apply-templates>
		</table>
	</xsl:template>

	<xsl:template match="record">
		<tr>
			<xsl:apply-templates
				select="list-entry/entry/list-record-field">
				<xsl:with-param name="id-directory-record" select="@id" />
			</xsl:apply-templates>
		</tr>
	</xsl:template>

	<xsl:template match="list-record-field">
		<xsl:param name="id-directory-record" select="0" />
		<td>
			<xsl:choose>
				<xsl:when test="position()=1">
					<a
						href="jsp/site/Portal.jsp?page=directory&amp;id_directory_record={$id-directory-record}&amp;view_directory_record=1"
						title="{$title-descriptive}" alt="{$title-descriptive}">
						<xsl:apply-templates select="record-field" />
					</a>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="record-field" />
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>

	<xsl:template match="entry">
		<th>
			<xsl:value-of select="title" />
		</th>
	</xsl:template>

	<xsl:template match="record-field">
		<xsl:value-of disable-output-escaping="yes"
			select="record-field-value" />
		<br />
	</xsl:template>
</xsl:stylesheet>


