<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:param name="title-back-search" />
	<xsl:param name="label-back-search" />
	<xsl:param name="id-directory" />
	<xsl:output method="html" indent="yes" />

	<xsl:template match="directory">
		<div>
			<xsl:apply-templates select="list-entry/entry" />
		</div>
		<div id="back-search">
			<a href="jsp/site/Portal.jsp?page=directory&amp;id_directory={$id-directory}"
							title="{$title-back-search}" alt="{$title-back-search}">
						
					<xsl:value-of select="$label-back-search" />
			</a>
		</div>

	</xsl:template>

	<xsl:template match="list-record-field">
		<xsl:apply-templates select="record-field" />
	</xsl:template>

	<xsl:template match="entry">
    <xsl:choose>
        <xsl:when test="not(count(./list-entry)=0)">
           <div class="prepend-1 append-1">  
              
              <fieldset class="form-fieldset"> 
	    					 <legend class="form-legend"> <xsl:value-of select="title" /> </legend>
                  <xsl:apply-templates select="./list-entry/entry" />
              </fieldset> 
             </div> 
          </xsl:when>
    	<xsl:otherwise> 
           <div class="entry-element">
        		    	<span class="entry-label">
        			     	<label>
        				      	<xsl:value-of select="title" />:
        			     	</label>
        		     	</span>
        			     <div class="entry-value">
        			          <xsl:apply-templates select="//list-record/record/list-entry/entry[@id=current()/@id]/list-record-field" />
        		    	 </div>
        	   	</div>
    	   	 </xsl:otherwise>
        </xsl:choose>  
</xsl:template>

	<xsl:template match="record-field">
		<span>
			<xsl:choose>
				<xsl:when test="not(string(record-field-value)='')">
					<xsl:value-of disable-output-escaping="yes"
						select="record-field-value" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>&#160;</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</span>
	</xsl:template>

</xsl:stylesheet>


